## taglog 0.1.32-1

=== Makefile ===
# Make file for the taglog program

version: taglog
	grep 'set version' taglog | cut -d' ' -f 3 > version

maketar: version
	tagextract -m Project -eq taglog <~/diary/actions.tag | tagextract -m Status -eq Pending > doc/taglog_todo.tag
	cp -a ../taglog ../taglog-$(shell cat version)
	tar -czv --dereference -f ../taglog-$(shell cat version).tar.gz -C .. taglog-$(shell cat version)
	rm -rf ../taglog-$(shell cat version)

pkgindex: taglog
	pkg_mkIndex . *.tcl

=== debian/changelog ===
taglog (0.1.32-1) unstable; urgency=low

  * New upstream version, several minor bugfixes

 -- John Lines <john@paladin.demon.co.uk>  Sat,  9 Mar 2002 11:27:49 +0000

taglog (0.1.29-1) unstable; urgency=low

  * New upstream version, has a year 2002 bug fix and improved German
    translation

 -- John Lines <john@paladin.demon.co.uk>  Mon, 14 Jan 2002 22:22:06 +0000

taglog (0.1.28-1) unstable; urgency=low

  * New upstream version - minor bugfixes, plus projects now in their
    own file, not in preferences.

 -- John Lines <john@paladin.demon.co.uk>  Tue, 27 Nov 2001 20:56:11 +0000

taglog (0.1.27-1) unstable; urgency=low

  * Initial Release, Closes: #118706

 -- John Lines <john@paladin.demon.co.uk>  Sun, 11 Nov 2001 16:44:08 +0000

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: taglog
Section: utils
Priority: optional
Maintainer: John Lines <john@paladin.demon.co.uk>
Build-Depends-Indep: debhelper (>> 3.0.0), tclsh
Standards-Version: 3.5.2

Package: taglog
Architecture: all
Depends:  tk8.3 | wish
Description: Personal time management system 
 Taglog is designed for anyone who spends most of their day sitting
 at a computer, working on various projects. You can make notes about
 what you do, as you go along, associating them with the projects you
 work on. At the end of the week you can produce a report of how your
 time was spent, broken down by project for booking purposes. You can
 view previous entries, by date, or by project. You can enter the
 actions you intend to take, associate them with a project, and mark
 them as active, or complete.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/taglog.sgml > taglog.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/taglog.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/taglog
	tclsh install.tcl -debian $(CURDIR)/debian/taglog


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs changelog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## taglog 0.1.52

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,8 @@
 	grep 'set version' taglog | cut -d' ' -f 3 > version
 
 maketar: version
+	./sort_taghelp taglog_help_en.tag
+	./sort_taghelp taglog_help_de.tag
 	tagextract -m Project -eq taglog <~/diary/actions.tag | tagextract -m Status -eq Pending > doc/taglog_todo.tag
 	cp -a ../taglog ../taglog-$(shell cat version)
 	tar -czv --dereference -f ../taglog-$(shell cat version).tar.gz -C .. taglog-$(shell cat version)
@@ -11,3 +13,14 @@
 
 pkgindex: taglog
 	pkg_mkIndex . *.tcl
+
+taglog.exe: taglog.vfs
+	cp taglog taglog.tcl
+	sdx wrap taglog -runtime /usr/local/lib/tclkit/tclkit-win32.upx.exe
+	mv taglog taglog.exe
+	mv taglog.tcl taglog
+	rm -r taglog.vfs
+
+taglog.vfs:	taglog
+	tclsh install.tcl -vfs
+

## taglog 0.2.0

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,8 @@
 maketar: version
 	./sort_taghelp taglog_help_en.tag
 	./sort_taghelp taglog_help_de.tag
+	./sort_taghelp taglog_help_fr.tag
+	./sort_taghelp taglog_help_nl.tag
 	tagextract -m Project -eq taglog <~/diary/actions.tag | tagextract -m Status -eq Pending > doc/taglog_todo.tag
 	cp -a ../taglog ../taglog-$(shell cat version)
 	tar -czv --dereference -f ../taglog-$(shell cat version).tar.gz -C .. taglog-$(shell cat version)

## taglog 0.2.3

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	./sort_taghelp taglog_help_de.tag
 	./sort_taghelp taglog_help_fr.tag
 	./sort_taghelp taglog_help_nl.tag
-	tagextract -m Project -eq taglog <~/diary/actions.tag | tagextract -m Status -eq Pending > doc/taglog_todo.tag
+#	tagextract -m Project -eq taglog <~/diary/actions.tag | tagextract -m Status -eq Pending > doc/taglog_todo.tag
 	cp -a ../taglog ../taglog-$(shell cat version)
 	tar -czv --dereference -f ../taglog-$(shell cat version).tar.gz -C .. taglog-$(shell cat version)
 	rm -rf ../taglog-$(shell cat version)

## taglog 0.2.5

=== Makefile ===
--- 
+++ 
@@ -26,3 +26,5 @@
 taglog.vfs:	taglog
 	tclsh install.tcl -vfs
 
+clean:
+# Nothing to do for clean

=== debian/changelog ===
taglog (0.2.5-1) unstable; urgency=medium

  * New upstream version - source has moved to github

 -- John Lines <john@paladyn.org>  Thu, 25 Oct 2018 11:35:17 +0100

taglog (0.2.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed FTBFS after removing alternatives for /usr/bin/tclsh and
    /usr/bin/wish. Closes: #725070

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 17 May 2014 11:14:34 +0400

taglog (0.2.3-1) unstable; urgency=low

  * New upstream version.

 -- John Lines <john@paladin.demon.co.uk>  Sat, 26 Jul 2008 08:03:09 +0100

taglog (0.2.0-1) unstable; urgency=low

  * New upstream version - Closes: #324375

 -- John Lines <john@paladin.demon.co.uk>  Wed, 28 Sep 2005 20:10:16 +0100

taglog (0.1.52-1) unstable; urgency=low

  * New upstream version.

 -- John Lines <john@paladin.demon.co.uk>  Thu, 23 Sep 2004 20:28:53 +0100

taglog (0.1.48-1) unstable; urgency=low

  * New upstream version, looks for help files in /usr/share/taglog and
     other fixes.
  * Closes: #236915: Talog does not start; incorrect path

 -- John Lines <john@paladin.demon.co.uk>  Wed,  5 May 2004 22:09:26 +0100

taglog (0.1.47-1) unstable; urgency=low

  * New upstream version Can save TimeBooking reports as CSV.
  * Closes: #236915: Talog does not start; incorrect path

 -- John Lines <john@paladin.demon.co.uk>  Tue, 16 Mar 2004 08:47:04 +0000

taglog (0.1.43-1) unstable; urgency=low

  * New upstream - minor reporting improvements

 -- John Lines <john@paladin.demon.co.uk>  Thu, 20 Nov 2003 13:33:44 +0000

taglog (0.1.42-1) unstable; urgency=low

  * New upstream version - many changes detailed in the main changelog
  * Projects are sorted in the Projects View listing - Closes: #206190
  * Install files into /usr/share/lib/taglog rather than /usr/lib/taglog 

 -- John Lines <john@paladin.demon.co.uk>  Tue, 26 Aug 2003 21:32:42 +0100

=== debian/control ===
Source: taglog
Section: utils
Priority: optional
Maintainer: John Lines <john@paladyn.org>
Build-Depends-Indep: tcl
Build-Depends: debhelper (>= 10)
Standards-Version: 4.2.0

Package: taglog
Architecture: all
Depends:  tk, ${misc:Depends}
Description: Personal time management system 
 Taglog is designed for anyone who spends most of their day sitting
 at a computer, working on various projects. You can make notes about
 what you do, as you go along, associating them with the projects you
 work on. At the end of the week you can produce a report of how your
 time was spent, broken down by project for booking purposes. You can
 view previous entries, by date, or by project. You can enter the
 actions you intend to take, associate them with a project, and mark
 them as active, or complete.
 .
Homepage: http://johnlines.github.io/taglog/

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

%:
	dh $@

## taglog 0.2.6

=== Makefile ===
# Make file for the taglog program

version: src/taglog
	grep 'set version' src/taglog | cut -d' ' -f 3 > version

maketar: version
	./sort_taghelp src/taglog_help_en.tag
	./sort_taghelp src/taglog_help_de.tag
	./sort_taghelp src/taglog_help_fr.tag
	./sort_taghelp src/taglog_help_nl.tag
#	tagextract -m Project -eq taglog <~/diary/actions.tag | tagextract -m Status -eq Pending > doc/taglog_todo.tag
	cp -a ../taglog ../taglog-$(shell cat version)
	tar -czv --dereference --exclude ".git" -f ../taglog-$(shell cat version).tar.gz -C .. taglog-$(shell cat version)
	rm -rf ../taglog-$(shell cat version)

pkgindex: taglog
	pkg_mkIndex src/. src/*.tcl

taglog.exe: taglog.vfs
	cp taglog taglog.tcl
	sdx wrap taglog -runtime /usr/local/lib/tclkit/tclkit-win32.upx.exe
	mv taglog taglog.exe
	mv taglog.tcl taglog
	rm -r taglog.vfs

taglog.vfs:	taglog
	tclsh install.tcl -vfs

clean:
# Nothing to do for clean

=== debian/changelog ===
taglog (0.2.6-1) unstable; urgency=medium

  * New upstream version - source has moved to github
  * Includes periodic action support

 -- John Lines <john@paladyn.org>  Fri, 03 Jan 2020 16:40:27 +0000

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: John Lines <john@paladyn.org>
 Build-Depends-Indep: tcl
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.2.0
+Build-Depends: debhelper (>> 12)
+Standards-Version: 4.4.1
 
 Package: taglog
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,8 @@
 	dh $@
 
 
+override_dh_install:
+	tclsh src/install.tcl -debian $(CURDIR)/debian/taglog
+
+
+
